MinFloatFunction (Lucene 10.5.0 queries API)
Description: declaration: package: org.apache.lucene.queries.function.valuesource, class: MinFloatFunction

Package org.apache.lucene.queries.function.valuesource

# Class MinFloatFunction

java.lang.Object
org.apache.lucene.queries.function.ValueSource
org.apache.lucene.queries.function.valuesource.MultiFloatFunction
org.apache.lucene.queries.function.valuesource.MinFloatFunction

public class MinFloatFunction extends MultiFloatFunction
`MinFloatFunction` returns the min of its components.

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.queries.function.valuesource.MultiFloatFunction

  `sources`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MinFloatFunction(ValueSource[] sources)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `exists(int doc, FunctionValues[] valsArr)`
  True if any of the specified `values` `FunctionValues.exists(int)` for the specified doc, else false.
  `protected float`
  `func(int doc, FunctionValues[] valsArr)`
  `protected String`
  `name()`

  ### Methods inherited from class org.apache.lucene.queries.function.valuesource.MultiFloatFunction

  `createWeight, description, equals, getValues, hashCode`

  ### Methods inherited from class org.apache.lucene.queries.function.ValueSource

  `asDoubleValuesSource, asLongValuesSource, fromDoubleValuesSource, getSortField, newContext, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MinFloatFunction

    public MinFloatFunction(ValueSource[] sources)

- ## Method Details

  - ### name

    protected String name()
    Specified by:
      `name` in class `MultiFloatFunction`

  - ### func

    protected float func(int doc, FunctionValues[] valsArr) throws IOException
    Specified by:
      `func` in class `MultiFloatFunction`
    Throws:
      `IOException`

  - ### exists

    protected boolean exists(int doc, FunctionValues[] valsArr) throws IOException
    True if any of the specified `values` `FunctionValues.exists(int)` for the specified doc, else false.
    Overrides:
      `exists` in class `MultiFloatFunction`
    Throws:
      `IOException`
    See Also:
      - `MultiFunction.anyExists(int, org.apache.lucene.queries.function.FunctionValues[])`